Page MenuHomePhabricator

checkimages.py reports execution time even when the bot does not execute
Closed, ResolvedPublic

Description

If there was an error during initialisation the execution time is output (to stderr by default).

$ python pwb.py scripts/checkimages.py -family:wikidata -lang:wikidata -simulate
Your project is not supported by this script.
You have to edit the script and add it!
Execution time: 0 seconds

This undesirable line of output previously occurred when -help was used, but that part has been fixed.

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:36 AM
bzimport set Reference to bz68613.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Jul 26 2014, 11:16 AM

Change 151996 had a related patch set uploaded by Audiodude:
Keep checkimages from outputing time when called with -help.

https://gerrit.wikimedia.org/r/151996

Change 151996 merged by jenkins-bot:
Keep checkimages from outputting time.

https://gerrit.wikimedia.org/r/151996

jayvdb reopened this task as Open.Apr 9 2015, 11:54 PM

This solution didnt fix all instances of the problem, such as:

Your project is not supported by this script.
You have to edit the script and add it!
Execution time: 0 seconds

Change 203258 had a related patch set uploaded (by John Vandenberg):
Mark checkimages as an autorun script

https://gerrit.wikimedia.org/r/203258

jayvdb triaged this task as Unbreak Now! priority.Apr 22 2015, 4:28 AM

Change 203258 merged by jenkins-bot:
Mark checkimages as an autorun script

https://gerrit.wikimedia.org/r/203258

Since change Ic55cd1a3 is merged, it won't break any test but it still is a valid bug so I refrain from closing this bug but I reduce priority.

Ladsgroup lowered the priority of this task from Unbreak Now! to Low.Apr 27 2015, 11:28 PM
Ladsgroup set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 11:08 PM
jayvdb updated the task description. (Show Details)Nov 11 2015, 9:58 PM

I will mentor this task.

Change 257850 had a related patch set uploaded (by Georggi199):
No longer shows execution time if bot was not running

https://gerrit.wikimedia.org/r/257850

Change 257850 merged by jenkins-bot:
No longer shows execution time if bot was not running

https://gerrit.wikimedia.org/r/257850

jayvdb closed this task as Resolved.Dec 10 2015, 4:07 AM
jayvdb assigned this task to Georggi1999.